cURL
curl --request POST \ --url https://api.agg.market/execution/quote \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'x-app-id: <api-key>' \ --data ' { "venue": "kalshi", "marketId": "<string>", "tokenId": "<string>", "side": "buy", "amount": 1, "slippageBps": 5000 } '
{ "quoteId": "<string>", "canExecute": true, "estimatedCostRaw": "<string>", "steps": [ { "type": "<string>", "description": "<string>", "estimatedDurationMs": 123 } ], "splits": [ { "venue": "kalshi", "tokenId": "<string>", "price": "<string>", "size": "<string>", "costRaw": "<string>" } ], "expiresAt": "<string>" }
Returns a quote with execution steps preview. Pass the quoteId to executeManaged to execute.
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Body
kalshi
polymarket
limitless
opinion
buy
sell
x > 0
0 <= x <= 10000
200
Show child attributes